#!/bin/bash 

module load python

export MPLBACKEND="agg"

scriptDir=/home/m/met-wrf-chem/WRFotron/blueprints/operational/pp/plotting/reflectivities
crsimBinDir=/project/meteo/work/met-wrf-chem/CR-SIM/latest/bin/
crsimParameters=${scriptDir}/crsim_parameters
wrfDataDir=/project/meteo/data/wrf/output/operational/clouds/
workDir=/project/meteo/scratch/met-wrf-chem/crsim/operational/

mkdir -p $workDir

#this is the format:
#date=YYYY-MM-DD

mydate=`date +%Y-%m-%d`

cd ${crsimBinDir}

module load gcc

for aFile in ${wrfDataDir}/clouds_d03_${mydate}*
do
	ttime="${aFile:73:8}"
	./crsim ${crsimParameters} ${aFile} ${workDir}${ttime}.nc
done

cd ${scriptDir}

python plot.py ${mydate}
