#!/bin/bash

# we know var 'chainDir' from the calling script...
nclPrepScript=${chainDir}/blueprints/operational/pp/calc_additional_variables.ncl

if [[ $# -ne 2 ]]
then
  echo "Call with arguments <input file path> <output file path>"
  return 1
fi

inputFile=$1
outputFile=$2

cp $inputFile $outputFile

wrkFile=${outputFile}_tmp.nc

rm -f $wrkFile

ncl -Q 'wrffilename="'$inputFile'"' 'outputfilename="'$wrkFile'"' ${nclPrepScript}

# append all other variables
ncks -A $wrkFile $outputFile

chmod 0644 $outputFile

rm -f $wrkFile
