# Background
- National Center for Atmospheric Research (NCAR) Weather Research and Forecasting (WRF) Model Users [link](http://www2.mmm.ucar.edu/wrf/users/).
- NCAR WRF with chemistry (WRFChem) [link](https://www2.acom.ucar.edu/wrf-chem).  
- National Oceanic and Atmospheric Administration (NOAA) WRFChem [link](https://ruc.noaa.gov/wrf/wrf-chem/).  
- WRF version 4.0 user guide [link](https://www2.mmm.ucar.edu/wrf/users/docs/user_guide_V4/WRFUsersGuide_july2018_tutorial.pdf).  
- WRFChem version 3.9.1.1 user guide [link](https://ruc.noaa.gov/wrf/wrf-chem/Users_guide.pdf).  
- WRFChem emissions version 3.9.1.1 user guide [link](https://ruc.noaa.gov/wrf/wrf-chem/Emission_guide.pdf).  
- WRF workshops, in person, UK [link](https://www.ncas.ac.uk/index.php/en/wrf-tutorials).  
- Past WRFChem presentations [link](http://www2.mmm.ucar.edu/wrf/users/workshops/).  
- WRFChem tutorials here [link](https://ruc.noaa.gov/wrf/wrf-chem/tutorialexercises.htm).  
- Fire INventory from NCAR (FINN) emission preparation [link](https://github.com/wrfchem-leeds/WRFotron/blob/master/guides/FINN_Emiss_prep_MOZART.pdf).  
- Guidance for Model for Ozone and Related Chemical Tracers (MOZART) gas scheme with Model for Simulating Aerosol Interactions and Chemistry (MOSAIC) aerosol scheme [link](https://github.com/wrfchem-leeds/WRFotron/blob/master/guides/MOZART_MOSAIC_V3.6.readme_dec2016.pdf). 
- Key papers:  
  - Grell, G.A., et al. (2005). Fully coupled “online” chemistry within the WRF model. Atmos. Environ. 39, 69576975. [link](https://doi.org/10.1016/j.atmosenv.2005.04.027).  
  - Fast, J. D., et al. (2006). Evolution of ozone, particulates, and aerosol direct radiative forcing in the vicinity of Houston using a fully coupled meteorology-chemistry-aerosol model. Journal of Geophysical Research: Atmospheres, 111(21), 129. [link](https://doi.org/10.1029/2005JD006721).  
  - Skamarock, W. C., & Klemp, J. B. (2008). A time-split nonhydrostatic atmospheric model for weather research and forecasting applications. Journal of Computational Physics, 227(7), 34653485. [link](https://doi.org/10.1016/j.jcp.2007.01.037).  
- Information regarding WRF Model citations [link](http://www2.mmm.ucar.edu/wrf/users/citing_wrf.html).  
- WRF public domain notice [link](http://www2.mmm.ucar.edu/wrf/users/public.html).


